/*
 * !++
 * QDS - Quick Data Signalling Library
 * !-
 * Copyright (C) 2002 - 2019 Devexperts LLC
 * !-
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 * !__
 */
package com.dxfeed.annotation;

import java.lang.annotation.*;

/**
 * Annotation for classes that are part of custom data scheme.
 */
@Retention(RetentionPolicy.SOURCE)
@Target(ElementType.TYPE)
public @interface EventTypeMapping {
	/**
	 * Returns QD record name where this event class maps to.
	 * @return QD record name where this event class maps to.
	 */
	String recordName() default "";
}
